Eclipse e caratteri incomprensibili!!! ... :(

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Eclipse e caratteri incomprensibili!!! ... :(

Messaggio da teddy85 »

Ragazzi fino ad ieri eclipse andava alla perfezione ... stamattina appena avviato risulta tutto illeggibile, ogni testo compreso il codice che scrivo in java nn si legge + o meglio il font è un carattere strano... ho provato a ripristinare eclipse, ma il problema persiste... nn so come fare ... :( ... se avvio eclipse da console mi da questi WARNING:

Codice: Seleziona tutto

Fontconfig warning: line 43: unknown element "cachedir"
Fontconfig warning: line 44: unknown element "cachedir"
Fontconfig warning: "/etc/fonts/conf.d/80-delicious.conf", line 18: invalid match target "scan"
Help ... Grazie ...
Ultima modifica di teddy85 il mer 22 ago 2007, 16:10, modificato 1 volta in totale.

Avatar utente
Darathorn
Linux 2.x
Linux 2.x
Messaggi: 315
Iscritto il: dom 28 nov 2004, 0:00
Nome Cognome: Francesco Braga
Slackware: 12.1
Kernel: 2.6.24.5-smp
Desktop: fluxbox
Località: Rezzato
Contatta:

Messaggio da Darathorn »

e lo stesso problema che ho io con altri software :S

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

Help ... ho davvero bisogno di eclipse ... ho provato a reinstallare i fonts ma ancora nulla ... cosa posso provare ??? Grazie

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

Stavo provando ad installare i font di windows pensando di risolvere il problema ... quando ... appena vado ad effettuare un "refresh" dei fonts con:

Codice: Seleziona tutto

/usr/X11R6/bin/fc-cache -v
riecco un errore simile:

Codice: Seleziona tutto

Fontconfig warning: line 43: unknown element "cachedir"
Fontconfig warning: line 44: unknown element "cachedir"
Fontconfig warning: "/etc/fonts/conf.d/80-delicious.conf", line 18: invalid match target "scan"
/usr/share/fonts/OTF: /usr/X11R6/bin/fc-cache: symbol lookup error: /usr/X11R6/bin/fc-cache: undefined symbol: FcDirCacheLoad
Aiutatemi !!!
:cry: :cry: :cry:

Avatar utente
conraid
Staff
Staff
Messaggi: 13568
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Messaggio da conraid »

E' strano. Sembra che fontconfig non riconosca gli elementi scan e cachedir che invece sono normali.
Infatti se io provo a modificarli per esempio in 4scan allora mi dice

invalid match target "4scan"

Hai installato e/o modificato qualcosa ultimamente?

Prova a reinstallare fontconfig, magari qualcosa si è sballato.

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

stavo provando ad installare mysql-query-browser ... ho lanciato lo script con l'opzione --update-paths

Codice: Seleziona tutto

mysql-query-browser --update-paths
Poco fà ho rimosso tutti i fonts e fonconfi, reinstallando quelli contenuti sul cd della distro ... ma il problema rimane...

Help !!!

Avatar utente
conraid
Staff
Staff
Messaggi: 13568
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Messaggio da conraid »

teddy85 ha scritto:stavo provando ad installare mysql-query-browser
Nelle poche pagine di Google si trova infatti questa
http://bugs.mysql.com/bug.php?id=23197
Che da esattamente lo stesso problema

Prova a vedere cosa va a toccare mysql-query-browser con quell'opzione. Purtroppo non lo conosco

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

Questo è quello che fa quell'opzione:

Codice: Seleziona tutto

for arg in $*; do
        if test $arg = "--update-paths"; then
            echo "Updating `basename $0` installation paths..."
            old_prefix=$(grep ModuleFiles $pangorc_path|sed -e 's#.*=.\?\(/.*\)/lib/pango.modules#\1#')
            new_prefix=$LIBPREFIX

            # replace paths in our custom configuration files
            for f in $pangorc_path $gdkpixbuf_path $pangomodules_path $desktopfile_path; do
                sed -e "s:$old_prefix:$new_prefix:g" $f > $f.bak
                if [ $? -ne 0 ]; then
                    echo "Error updating files for new installation path."
                    echo "Please make sure `basename $0` is installed correctly and you have"
                    echo "proper write permissions in the installation directory."
                    exit 1
                fi
                mv $f.bak $f
                if [ $? -ne 0 ]; then
                    echo "Error updating files for new installation path."
                    echo "Please make sure `basename $0` is installed correctly and you have"
                    echo "proper write permissions in the installation directory."
                    exit 1
                fi
            done
            echo "Done."
            exit
        else
            args="$args \"$arg\""
        fi
    done
io nn ci ho capito molto :( ma sembra aggiorni solo la directory di pango.modules ...

grazie x l'aiuto ...

spero di poter risolvere senza formattare :(

Avatar utente
conraid
Staff
Staff
Messaggi: 13568
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Messaggio da conraid »

L'errore te lo da solo in Eclipse o anche in altri software?
Prova specialmente quelli che usano GTK.

Se ti ha fatto il backup dei file modificato rimetti gli originali.

Controlla i file definiti dalle variabili
$pangorc_path $gdkpixbuf_path $pangomodules_path $desktopfile_path;

Magari ha cambiato qualche percorso per le librerie che servivano a lui senza preoccuparti di altri programmi :-)
Solo una ipotesi.
Prima di formattare prova a reinstallare Pango e gdk-pixbuf e guarda che succede :-)

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

Ho provato a reinstallare gtk, gdk cairo ma nulla di nuovo ...

ho provato a lanciaread esempio:

Codice: Seleziona tutto

echo $gdkpixbuf_path
ma non mi da nulla in output ...
Io nn ho capito quel codice cosa va a modificare...
questo è lo script completo:

Codice: Seleziona tutto

#!/bin/sh

PRG="$0"

# need this for relative symlinks
while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
        PRG="$link"
    else
        PRG=`dirname "$PRG"`"/$link"
    fi
done

DIRNAME=`dirname $PRG`

tmp_DIRNAME1=`cd $DIRNAME/..; pwd`
tmp_DIRNAME2=`cd $DIRNAME; pwd`

if [ -d "$tmp_DIRNAME1/share" ]; then
    # installed to /
    DIRNAME="$tmp_DIRNAME1"
    LIBPREFIX="$DIRNAME/lib/mysql-gui"
elif [ -d "$tmp_DIRNAME2/share" ]; then
    # installed to /opt or something similar
    DIRNAME="$tmp_DIRNAME2"
    LIBPREFIX="$DIRNAME"
else
    echo "Data files not found. Please check your installation."
    exit 1
fi

if [ -f "$LIBPREFIX/lib/pango.modules" ]; then
    bundled_deps=1
else
    bundled_deps=0
fi

export MQB_DIR="$DIRNAME"
export LD_LIBRARY_PATH="$LIBPREFIX/lib:$LD_LIBRARY_PATH"

### begin stuff needed for bundled gtk libraries
pangorc_path=$LIBPREFIX/lib/pangorc
gdkpixbuf_path=$LIBPREFIX/lib/gdk-pixbuf.loaders
pangomodules_path=$LIBPREFIX/lib/pango.modules
desktopfile_path=$DIRNAME/MySQLQueryBrowser.desktop

if [ $bundled_deps -ne 0 ]; then
    args=""
    for arg in $*; do
        if test $arg = "--update-paths"; then
            echo "Updating `basename $0` installation paths..."
            old_prefix=$(grep ModuleFiles $pangorc_path|sed -e 's#.*=.\?\(/.*\)/lib/pango.modules#\1#')
            new_prefix=$LIBPREFIX

            # replace paths in our custom configuration files
            for f in $pangorc_path $gdkpixbuf_path $pangomodules_path $desktopfile_path; do
                sed -e "s:$old_prefix:$new_prefix:g" $f > $f.bak
                if [ $? -ne 0 ]; then
                    echo "Error updating files for new installation path."
                    echo "Please make sure `basename $0` is installed correctly and you have"
                    echo "proper write permissions in the installation directory."
                    exit 1
                fi
                mv $f.bak $f
                if [ $? -ne 0 ]; then
                    echo "Error updating files for new installation path."
                    echo "Please make sure `basename $0` is installed correctly and you have"
                    echo "proper write permissions in the installation directory."
                    exit 1
                fi
            done
            echo "Done."
            exit
        else
            args="$args \"$arg\""
        fi
    done


    # if we're in a bundle, make sure the paths in the pango and gdk-pixbuf
    # loaders are correct
    export GDK_PIXBUF_MODULE_FILE="$gdkpixbuf_path"
    export PANGO_RC_FILE="$pangorc_path"
    export GTK_EXE_PREFIX="$LIBPREFIX"

    prefix=$(grep ModuleFiles $pangorc_path|sed -e 's#.*=.\?\(/.*\)/lib/pango.modules#\1#')
        
    if ! [ -f "$prefix/lib/pango.modules" ]; then
        cat <<EOF
Error starting $0.
The actual installation path of `basename $0` is different from the
expected one. Please run $0 --update-paths (as the root
user, if needed) to have the installation directory updated.
EOF
        exit 1
    fi
fi
### end stuff needed for bundled gtk libraries


$PRG-bin $args
non so + che fare :(

Avatar utente
teddy85
Linux 1.x
Linux 1.x
Messaggi: 110
Iscritto il: sab 11 mar 2006, 10:41

Messaggio da teddy85 »

:shock: :shock: :shock: :shock: :shock: :shock: :shock: :shock:
Spostando la directory di mysql-query-browser da un'altra parte, magicamente i caratteri tornano alla normalità ... non capisco il perchè, però così facendo nn posso più utilizzare mysql-query-browser perchè rikiederebbe il parametro --update-paths tornando così al punto di partenza ... come si poterbbe fare???

Grazie di tutta la disponibilità !!!



:D :D :D

Avatar utente
conraid
Staff
Staff
Messaggi: 13568
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Messaggio da conraid »

$gdkpixbuf_path è una variabile interna allo script, che acquista determinati valori in base a dove hai installato il software, per richiamare correttamente le librerie.
Dove l'hai installato tu?
Sotto /opt?

Secondo me, ma anche questa è pura ipotesi (non ho quel software nemmeno per provare), ha delle proprie librerie che entrano in conflitto con quelle di sistema.
Prova a vedere se modifica o aggiunge qualche righe in ldconfig, pango.modules o qualcos'altro.

Avatar utente
mkt0
Linux 0.x
Linux 0.x
Messaggi: 91
Iscritto il: mer 10 mar 2004, 0:00
Slackware: 13
Kernel: 2.6.32.2 lvm+luks
Desktop: Fluxbox
Località: Bologna

Messaggio da mkt0 »

anke io avevo lo stesso errore.

eliminando da /etc/ld.so.conf la riga /opt/keepassx/lib va' tutto bene.

Rispondi